2007年12月27日

[ruby-list:44405] Re: ruby-1.9.0-0-i386-mswin32にjcode.rb が入っていない

> 削除されたからです。
> 1.9.0ではM17N機能を使ってください。

M17N がどういうものか、よくわからない(今のところ)ので
1.8.6 で使っていたスクリプトから、試しに
require "jcode"
の行を削除したら(ruby -Ks と起動して)期待通り動きました。
例:

puts "Object指向プログラミング".tr("O", "o")

黙っていても「うまく」処理してくれると思って良いのでしょうか?

投稿者 xml-rpc : 2007年12月27日 16:06
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/68066
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。